Subject: Re: git to libgit2 code relicensing

From: David Brown <[email-masked]>
Date: Sat, 15 Nov 2008 10:39:48 -0800

On Sat, Nov 15, 2008 at 03:04:29AM -0500, Nicolas Pitre wrote:

>libgcc is a dynamic library on most modern systems these days. Yet they 
>routinely execute non-GPL programs. If that text intentionally excluded 
>the dynamic case then every non-GPL applications on such systems would 
>have been breaking the license for a long time.  So I don't think anyone 
>could have substance for such a claim.

Sure they can.  Lack of enforcement doesn't dilute copyright like it
does trademark.

It may be that the gcc authors intend for it to be allowed for dynamic
libraries, and therefore wouldn't sue for that usage, but that's not
what they're saying in their license.

What I'm saying is that if I was in a position to review the license
and determine what was permitted, this license with exception does not
appear to allow dynamic linking against the library.  It doesn't
explicitly forbid this, but it is ambiguous about it.

David